/*
 *                            *
 *                           * *
 *                          *   *
 *                     ***************
 *                      * *       * *
 *                       *  MUMPS  *
 *                      * *       * *
 *                     ***************
 *                          *   *
 *                           * *
 *                            *
 *
 *   iftab.h
 *    Function prototypes, structs, and macros for FreeM
 *    transactions-in-flight symbol table
 *
 *  
 *   Author: John P. Willis <jpw@coherent-logic.com>
 *    Copyright (C) 1998 MUG Deutschland
 *    Copyright (C) 2020 Coherent Logic Development LLC
 *
 *   Last modified: 18 March 2020
 * 
 **/

typedef struct iftab {
    char *key;
    char *data;
    int tlevel;
    int killed;

    struct iftab *next;
} iftab;

extern iftab *iftab_head;

extern iftab *iftab_insert(char *key, char *data, int tlevel);
extern iftab *iftab_retrieve(char *key, char *data);
extern void iftab_delete(char *key);
iftab *iftab_kill(char *key);
extern void iftab_pop_tlevel(int tlevel);
